// 
// Copyright (c) Microsoft and contributors.  All rights reserved.
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//   http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// 
// See the License for the specific language governing permissions and
// limitations under the License.
// 

// Warning: This code was generated by a tool.
// 
// Changes to this file may cause incorrect behavior and will be lost if the
// code is regenerated.

using System;
using System.Linq;
using System.Net;

namespace Microsoft.WindowsAzure.Management.Compute.Models
{
    /// <summary>
    /// Objects that provide instance endpoint details.
    /// </summary>
    public partial class InstanceEndpoint
    {
        private int? _localPort;
        
        /// <summary>
        /// Specifies the internal port on which the virtual machine is
        /// listening to serve the endpoint. This element is only listed for
        /// Virtual Machine deployments.
        /// </summary>
        public int? LocalPort
        {
            get { return this._localPort; }
            set { this._localPort = value; }
        }
        
        private string _name;
        
        /// <summary>
        /// Specifies the name for the external endpoint. This element is only
        /// listed for Virtual Machine deployments.
        /// </summary>
        public string Name
        {
            get { return this._name; }
            set { this._name = value; }
        }
        
        private int _port;
        
        /// <summary>
        /// The external port of the role instance endpoint.
        /// </summary>
        public int Port
        {
            get { return this._port; }
            set { this._port = value; }
        }
        
        private string _protocol;
        
        /// <summary>
        /// Specifies the transport protocol for the endpoint.
        /// </summary>
        public string Protocol
        {
            get { return this._protocol; }
            set { this._protocol = value; }
        }
        
        private string _virtualIPAddress;
        
        /// <summary>
        /// The Virtual IP of the role endpoint.
        /// </summary>
        public string VirtualIPAddress
        {
            get { return this._virtualIPAddress; }
            set { this._virtualIPAddress = value; }
        }
        
        /// <summary>
        /// Initializes a new instance of the InstanceEndpoint class.
        /// </summary>
        public InstanceEndpoint()
        {
        }
    }
}
