// 
// Copyright (c) Microsoft and contributors.  All rights reserved.
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//   http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// 
// See the License for the specific language governing permissions and
// limitations under the License.
// 

// Warning: This code was generated by a tool.
// 
// Changes to this file may cause incorrect behavior and will be lost if the
// code is regenerated.

using System;
using System.Linq;
using Microsoft.WindowsAzure.Management.Compute.Models;

namespace Microsoft.WindowsAzure.Management.Compute.Models
{
    /// <summary>
    /// Contains upgrade details of the deployment.
    /// </summary>
    public partial class UpgradeStatus
    {
        private int _currentUpgradeDomain;
        
        /// <summary>
        /// An integer value that identifies the current upgrade domain.
        /// Upgrade domains are identified with a zero-based index: the first
        /// upgrade domain has an ID of 0, the second has an ID of 1, and so
        /// on.
        /// </summary>
        public int CurrentUpgradeDomain
        {
            get { return this._currentUpgradeDomain; }
            set { this._currentUpgradeDomain = value; }
        }
        
        private UpgradeDomainState _currentUpgradeDomainState;
        
        /// <summary>
        /// The current state of the upgrade. Possible values are Before and
        /// During
        /// </summary>
        public UpgradeDomainState CurrentUpgradeDomainState
        {
            get { return this._currentUpgradeDomainState; }
            set { this._currentUpgradeDomainState = value; }
        }
        
        private DeploymentUpgradeType _upgradeType;
        
        /// <summary>
        /// The type of the upgrade. Possible values are Auto and Manual.
        /// </summary>
        public DeploymentUpgradeType UpgradeType
        {
            get { return this._upgradeType; }
            set { this._upgradeType = value; }
        }
        
        /// <summary>
        /// Initializes a new instance of the UpgradeStatus class.
        /// </summary>
        public UpgradeStatus()
        {
        }
    }
}
