// 
// Copyright (c) Microsoft and contributors.  All rights reserved.
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//   http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// 
// See the License for the specific language governing permissions and
// limitations under the License.
// 

// Warning: This code was generated by a tool.
// 
// Changes to this file may cause incorrect behavior and will be lost if the
// code is regenerated.

using System;
using System.Linq;
using System.Net;

namespace Microsoft.WindowsAzure.Management.Compute.Models
{
    /// <summary>
    /// The virtual IP address of the deployment.
    /// </summary>
    public partial class VirtualIPAddress
    {
        private string _address;
        
        /// <summary>
        /// The virtual IP address of the deployment.
        /// </summary>
        public string Address
        {
            get { return this._address; }
            set { this._address = value; }
        }
        
        private bool? _isDnsProgrammed;
        
        /// <summary>
        /// Indicates whether the IP address is DNS programmed.
        /// </summary>
        public bool? IsDnsProgrammed
        {
            get { return this._isDnsProgrammed; }
            set { this._isDnsProgrammed = value; }
        }
        
        private string _name;
        
        /// <summary>
        /// The name of the virtual IP.
        /// </summary>
        public string Name
        {
            get { return this._name; }
            set { this._name = value; }
        }
        
        /// <summary>
        /// Initializes a new instance of the VirtualIPAddress class.
        /// </summary>
        public VirtualIPAddress()
        {
        }
    }
}
