// 
// Copyright (c) Microsoft and contributors.  All rights reserved.
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//   http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// 
// See the License for the specific language governing permissions and
// limitations under the License.
// 

// Warning: This code was generated by a tool.
// 
// Changes to this file may cause incorrect behavior and will be lost if the
// code is regenerated.

using System;
using System.Linq;
using Microsoft.WindowsAzure;
using Microsoft.WindowsAzure.Common;
using Microsoft.WindowsAzure.Management.Monitoring.Metrics;

namespace Microsoft.WindowsAzure.Management.Monitoring.Metrics
{
    public partial class MetricsClient : ServiceClient<MetricsClient>, IMetricsClient
    {
        private Uri _baseUri;
        
        /// <summary>
        /// Optional base uri parameter.
        /// </summary>
        public Uri BaseUri
        {
            get { return this._baseUri; }
        }
        
        private SubscriptionCloudCredentials _credentials;
        
        /// <summary>
        /// Windows Azure subscription id.
        /// </summary>
        public SubscriptionCloudCredentials Credentials
        {
            get { return this._credentials; }
        }
        
        private IMetricDefinitionOperations _metricDefinitions;
        
        public virtual IMetricDefinitionOperations MetricDefinitions
        {
            get { return this._metricDefinitions; }
        }
        
        private IMetricSettingOperations _metricSettings;
        
        public virtual IMetricSettingOperations MetricSettings
        {
            get { return this._metricSettings; }
        }
        
        private IMetricValueOperations _metricValues;
        
        public virtual IMetricValueOperations MetricValues
        {
            get { return this._metricValues; }
        }
        
        /// <summary>
        /// Initializes a new instance of the MetricsClient class.
        /// </summary>
        private MetricsClient()
            : base()
        {
            this._metricDefinitions = new MetricDefinitionOperations(this);
            this._metricSettings = new MetricSettingOperations(this);
            this._metricValues = new MetricValueOperations(this);
            this.HttpClient.Timeout = TimeSpan.FromSeconds(300);
        }
        
        /// <summary>
        /// Initializes a new instance of the MetricsClient class.
        /// </summary>
        /// <param name='credentials'>
        /// Windows Azure subscription id.
        /// </param>
        /// <param name='baseUri'>
        /// Optional base uri parameter.
        /// </param>
        public MetricsClient(SubscriptionCloudCredentials credentials, Uri baseUri)
            : this()
        {
            if (credentials == null)
            {
                throw new ArgumentNullException("credentials");
            }
            if (baseUri == null)
            {
                throw new ArgumentNullException("baseUri");
            }
            this._credentials = credentials;
            this._baseUri = baseUri;
            
            this.Credentials.InitializeServiceClient(this);
        }
        
        /// <summary>
        /// Initializes a new instance of the MetricsClient class.
        /// </summary>
        /// <param name='credentials'>
        /// Windows Azure subscription id.
        /// </param>
        public MetricsClient(SubscriptionCloudCredentials credentials)
            : this()
        {
            if (credentials == null)
            {
                throw new ArgumentNullException("credentials");
            }
            this._credentials = credentials;
            this._baseUri = new Uri("https://management.core.windows.net");
            
            this.Credentials.InitializeServiceClient(this);
        }
    }
}
