// 
// Copyright (c) Microsoft and contributors.  All rights reserved.
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//   http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// 
// See the License for the specific language governing permissions and
// limitations under the License.
// 

// Warning: This code was generated by a tool.
// 
// Changes to this file may cause incorrect behavior and will be lost if the
// code is regenerated.

using System;
using System.Linq;

namespace Microsoft.WindowsAzure.Management.Scheduler.Models
{
    /// <summary>
    /// State of the Job Collection resource.
    /// </summary>
    public enum JobCollectionState
    {
        /// <summary>
        /// Service Manager knows about the resource but the state is still
        /// Unknown which might either be a result of failed communication
        /// with the RP or just that the Service Manager hasn’t got around to
        /// process the resource.
        /// </summary>
        Unknown = 0,
        
        /// <summary>
        /// The resource provider did not respond with information for the
        /// resource.
        /// </summary>
        NotFound = 1,
        
        /// <summary>
        /// Resource is running fine.
        /// </summary>
        Started = 2,
        
        /// <summary>
        /// Resource was stopped due to an issue.
        /// </summary>
        Stopped = 3,
        
        /// <summary>
        /// The resource was temporarily put on hold primarily due to a
        /// monetary event.
        /// </summary>
        Paused = 4,
    }
}
