// 
// Copyright (c) Microsoft and contributors.  All rights reserved.
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//   http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// 
// See the License for the specific language governing permissions and
// limitations under the License.
// 

// Warning: This code was generated by a tool.
// 
// Changes to this file may cause incorrect behavior and will be lost if the
// code is regenerated.

using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.WindowsAzure.Management.Sql;
using Microsoft.WindowsAzure.Management.Sql.Models;

namespace Microsoft.WindowsAzure.Management.Sql.Models
{
    /// <summary>
    /// Response containing the service objective for a given server and
    /// service objective Id.
    /// </summary>
    public partial class ServiceObjectiveGetResponse : OperationResponse
    {
        private string _description;
        
        /// <summary>
        /// Gets or sets the service objective description.
        /// </summary>
        public string Description
        {
            get { return this._description; }
            set { this._description = value; }
        }
        
        private IList<ServiceObjectiveGetResponse.DimensionSettingResponse> _dimensionSettings;
        
        /// <summary>
        /// Gets or sets the service objective dimension settings.
        /// </summary>
        public IList<ServiceObjectiveGetResponse.DimensionSettingResponse> DimensionSettings
        {
            get { return this._dimensionSettings; }
            set { this._dimensionSettings = value; }
        }
        
        private bool _enabled;
        
        /// <summary>
        /// Gets or sets a value indicating whether the service objective is
        /// enabled.
        /// </summary>
        public bool Enabled
        {
            get { return this._enabled; }
            set { this._enabled = value; }
        }
        
        private string _id;
        
        /// <summary>
        /// Gets or sets the service objective id.
        /// </summary>
        public string Id
        {
            get { return this._id; }
            set { this._id = value; }
        }
        
        private bool _isDefault;
        
        /// <summary>
        /// Gets or sets a value indicating whether the service objective is
        /// the default objective.
        /// </summary>
        public bool IsDefault
        {
            get { return this._isDefault; }
            set { this._isDefault = value; }
        }
        
        private bool _isSystem;
        
        /// <summary>
        /// Gets or sets a value indicating whether the service objective is a
        /// system objective.
        /// </summary>
        public bool IsSystem
        {
            get { return this._isSystem; }
            set { this._isSystem = value; }
        }
        
        private string _name;
        
        /// <summary>
        /// Gets or sets the name of the service objective.
        /// </summary>
        public string Name
        {
            get { return this._name; }
            set { this._name = value; }
        }
        
        private string _parentLink;
        
        /// <summary>
        /// Gets or sets the ParentLink of the service objective.
        /// </summary>
        public string ParentLink
        {
            get { return this._parentLink; }
            set { this._parentLink = value; }
        }
        
        private string _selfLink;
        
        /// <summary>
        /// Gets or sets the SelfLink of the service objective.
        /// </summary>
        public string SelfLink
        {
            get { return this._selfLink; }
            set { this._selfLink = value; }
        }
        
        private string _state;
        
        /// <summary>
        /// Gets or sets the state of the service objective.
        /// </summary>
        public string State
        {
            get { return this._state; }
            set { this._state = value; }
        }
        
        private string _type;
        
        /// <summary>
        /// Gets or sets the type of resource.
        /// </summary>
        public string Type
        {
            get { return this._type; }
            set { this._type = value; }
        }
        
        /// <summary>
        /// Initializes a new instance of the ServiceObjectiveGetResponse class.
        /// </summary>
        public ServiceObjectiveGetResponse()
        {
            this._dimensionSettings = new List<ServiceObjectiveGetResponse.DimensionSettingResponse>();
        }
        
        /// <summary>
        /// Dimension setting.
        /// </summary>
        public partial class DimensionSettingResponse
        {
            private string _description;
            
            /// <summary>
            /// Gets or sets the dimension setting description.
            /// </summary>
            public string Description
            {
                get { return this._description; }
                set { this._description = value; }
            }
            
            private string _id;
            
            /// <summary>
            /// Gets or sets the dimension setting id.
            /// </summary>
            public string Id
            {
                get { return this._id; }
                set { this._id = value; }
            }
            
            private bool _isDefault;
            
            /// <summary>
            /// Gets or sets a value indicating whether the dimension setting
            /// is the default setting.
            /// </summary>
            public bool IsDefault
            {
                get { return this._isDefault; }
                set { this._isDefault = value; }
            }
            
            private string _name;
            
            /// <summary>
            /// Gets or sets the name of the dimension setting.
            /// </summary>
            public string Name
            {
                get { return this._name; }
                set { this._name = value; }
            }
            
            private byte _ordinal;
            
            /// <summary>
            /// Gets or sets the dimension setting ordinal position.
            /// </summary>
            public byte Ordinal
            {
                get { return this._ordinal; }
                set { this._ordinal = value; }
            }
            
            private string _parentLink;
            
            /// <summary>
            /// Gets or sets the ParentLink of the dimension setting.
            /// </summary>
            public string ParentLink
            {
                get { return this._parentLink; }
                set { this._parentLink = value; }
            }
            
            private string _selfLink;
            
            /// <summary>
            /// Gets or sets the SelfLink of the dimension setting.
            /// </summary>
            public string SelfLink
            {
                get { return this._selfLink; }
                set { this._selfLink = value; }
            }
            
            private string _state;
            
            /// <summary>
            /// Gets or sets the state of the dimension setting.
            /// </summary>
            public string State
            {
                get { return this._state; }
                set { this._state = value; }
            }
            
            private string _type;
            
            /// <summary>
            /// Gets or sets the type of resource.
            /// </summary>
            public string Type
            {
                get { return this._type; }
                set { this._type = value; }
            }
            
            /// <summary>
            /// Initializes a new instance of the DimensionSettingResponse
            /// class.
            /// </summary>
            public DimensionSettingResponse()
            {
            }
        }
    }
}
