// 
// Copyright (c) Microsoft and contributors.  All rights reserved.
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//   http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// 
// See the License for the specific language governing permissions and
// limitations under the License.
// 

// Warning: This code was generated by a tool.
// 
// Changes to this file may cause incorrect behavior and will be lost if the
// code is regenerated.

using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.WindowsAzure;
using Microsoft.WindowsAzure.Management.WebSites.Models;

namespace Microsoft.WindowsAzure.Management.WebSites.Models
{
    /// <summary>
    /// The List Publishing Users operation response.
    /// </summary>
    public partial class WebSpacesListPublishingUsersResponse : OperationResponse, IEnumerable<WebSpacesListPublishingUsersResponse.User>
    {
        private IList<WebSpacesListPublishingUsersResponse.User> _users;
        
        /// <summary>
        /// The publishing users.
        /// </summary>
        public IList<WebSpacesListPublishingUsersResponse.User> Users
        {
            get { return this._users; }
            set { this._users = value; }
        }
        
        /// <summary>
        /// Initializes a new instance of the
        /// WebSpacesListPublishingUsersResponse class.
        /// </summary>
        public WebSpacesListPublishingUsersResponse()
        {
            this._users = new List<WebSpacesListPublishingUsersResponse.User>();
        }
        
        /// <summary>
        /// Gets the sequence of Users.
        /// </summary>
        public IEnumerator<WebSpacesListPublishingUsersResponse.User> GetEnumerator()
        {
            return this.Users.GetEnumerator();
        }
        
        /// <summary>
        /// Gets the sequence of Users.
        /// </summary>
        System.Collections.IEnumerator System.Collections.IEnumerable.GetEnumerator()
        {
            return this.GetEnumerator();
        }
        
        /// <summary>
        /// Information about a single publishing user.
        /// </summary>
        public partial class User
        {
            private string _name;
            
            /// <summary>
            /// The publishing user name.
            /// </summary>
            public string Name
            {
                get { return this._name; }
                set { this._name = value; }
            }
            
            /// <summary>
            /// Initializes a new instance of the User class.
            /// </summary>
            public User()
            {
            }
        }
    }
}
